Jump to content

Recommended Posts

Posted

can someone teach me how to show height value in autocad using Visual basic or lips but the text format must show like this for example 9.5...

Posted

If I understand what you're asking and assuming it's Mtext... you have two dxf codes to examine, the text height and the string's value and formatting.

(cdr(assoc 43 (entget(car(entsel)))))
(cdr(assoc 1 (entget(car(entsel)))))

Posted

You could label an elevation (height) using a block with attributes; in your example the "9" and "5" could be separate attributes, right & left justified.

Posted

In MTEXT, one can alter the height of text by substituting the following code into the elist:

 

{\\H0.5x;text}

 

The above would make the text half the height of the previous text in the MTEXT.

Posted

For example:

 

(defun c:tht (/ ent tval nval 1st)
 (if (and (setq ent (car (entsel "\nSelect MTEXT Entity... ")))
      (eq "MTEXT" (cdadr (entget ent))))
   (progn
     (setq tval (cdr (assoc 1 (entget ent)))
       nval (substr tval 2) 1st (substr tval 1 1))
     (entmod (subst (cons 1 (strcat 1st "\{\\H0.5x;" nval "\}"))
            (assoc 1 (entget ent)) (entget ent))))
   (princ "\nNo MTEXT Selected"))
 (princ))

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...